#ifndef ORBITEJECTFUNCTION_H
#define ORBITEJECTFUNCTION_H
#include "ejectfunction.h"

class OrbitEjectFunction : public EjectFunction
{
private:
	void Getmode3hypo(VECTOR3 *skewvector, bool *goodcrab, double *ejectmjd);
protected:
	GRAPH graph,graphleft,graphright;
	ORBIT basisorbit;

public:
	virtual bool doupdate(HDC hDC, int tw, int th);
	virtual bool initialisevars();
	virtual void saveself(FILEHANDLE scn);
	virtual void restoreself(FILEHANDLE scn);
	OrbitEjectFunction(class transxstate *tstate, OBJHANDLE thmajor, OBJHANDLE thminor, OBJHANDLE thtarget, OBJHANDLE thcraft, OBJHANDLE thbase);
	~OrbitEjectFunction();
};

#endif
