#ifndef __EJECTFUNCTION_H
#define __EJECTFUNCTION_H
#include "TransXFunction.h"

class EjectFunction : public TransXFunction
{
private:
	void Getmode1hypo();
protected:
	INTERCEPT primary;
	ORBIT rmin, craftinrmin, hypormin, hypormaj, craftinrmaj, majtarget;
	GRAPH graph;
	//bool showrinc;

	double gmminor;
	double soisize2;
	double ejectmjd;
	bool minormodevalidate(HDC hDC, const VECTOR3 &gminorpos, const VECTOR3 &gcraftpos, const char *modelabel,int nonvalidmfdstate,bool *invalidated);
	void showminorsoiview1(HDC hDC, GRAPH *locgraph, const ORBIT &craftinrmin, const ORBIT &hypormin, int minprojection, int minvieworb, bool showrinc);
	void showminorsoiview2(HDC hDC, GRAPH *locgraph, bool hypoorcraft, bool showintercept, int majprojection, int majvieworb, bool showrinc);
	bool updateinterception(const ORBIT &hypormaj, const ORBIT &craftinrmaj, const ORBIT &majtarget, bool h_or_c);
public:
	virtual bool doupdate(HDC hDC, int tw, int th);
	virtual void restoreself(FILEHANDLE scn);
	virtual void saveself(FILEHANDLE scn);
	virtual bool initialisevars();
	EjectFunction(class transxstate *tstate, OBJHANDLE thmajor, OBJHANDLE thminor, OBJHANDLE thtarget, OBJHANDLE thcraft, OBJHANDLE thbase);
	virtual ~EjectFunction();
};

#endif
